Update a batch group's status to complete or cancel it.
Complete a batch group: Set status to COMPLETED to close the group for modifications and allow funding to proceed. Once completed, payInDetails will be populated with funding instructions.
Cancel a batch group: Set status to CANCELLED to cancel all transfers in the batch. Only batches that are not funded can be cancelled. Cancellation is final and cannot be undone.
The version parameter is required for concurrency control. The operation will be rejected if the provided version does not match the server's current version.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Status to update to:
COMPLETED— Close the group and allow fundingCANCELLED— Cancel the group and all transfers
- Production Environmenthttps://api.wise.com/2026Q4/profiles/{profileId}/batch-groups/{batchGroupId}
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles/{profileId}/batch-groups/{batchGroupId}
curl -i -X PATCH \
https://api.wise.com/2026Q4/profiles/12345678/batch-groups/54a6bc09-cef9-49a8-9041-f1f0c654cd88 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"status": "COMPLETED",
"version": 1234
}'Batch group updated successfully.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Batch version, used for concurrency control. This number is updated whenever there is a change to the batch group state (its status, the identity of the transfers in the batch, etc).
Some API operations require this version in requests, and operations may be rejected when the requested version does not match the server's version.
The version is a signed integer and is not ordered with respect to any previous version.
Source currency code (ISO 4217 Alphabetic Code). This currency is expected to be used for funding the batch group.
Current batch group status:
NEW— New batch group with zero or more transfers. Able to have more transfers added to it. Transfers in aNEWgroup cannot yet be funded and paid out.COMPLETED— The batch group has had all desired transfers added and is now closed to further changes. Transfers in the group can now be funded and paid out. Note:COMPLETEDdoes not imply payouts have been successfully completed.MARKED_FOR_CANCELLATION— Cancellation of the transfers in the batch group was requested.PROCESSING_CANCEL— Transfers in the group are being cancelled.CANCELLED— Transfers in the group have been cancelled.
The IDs of all transfers successfully added to the group.
[ 234, 456 ]
List of pay-in details describing how the batch group can be funded. Provided only when the batch group is in the COMPLETED state.
Currently supported types: bank_transfer.
Optional ID of the payin session. Required if batch group funding is done using Payin Funding API.
{ "id": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "version": 123, "name": "My batch group", "sourceCurrency": "GBP", "status": "COMPLETED", "transferIds": [ 234, 456 ], "payInDetails": [ { "type": "bank_transfer", "reference": "B5323", "amount": 12504.54, "currency": "NOK", "name": "TransferWise Ltd", "branchName": null, "accountNumber": "9910728", "accountType": null, "bankCode": "8301", "bankAddress": { … }, "transferWiseAddress": { … }, "iban": null, "bban": "83019910728", "institutionNumber": null, "transitNumber": null, "beneficiaryBankBIC": null, "intermediaryBankBIC": null, "fpsIdentifier": null, "clearingNumber": null } ], "payinSessionId": "23330542-8e9e-419f-95eb-312b880f92ad" }